#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Test
%define	pnam	Block
Summary:	Test::Block - Specify fine granularity test plans
Summary(pl.UTF-8):	Test::Block - określanie szczegółowych planów testów
Name:		perl-Test-Block
Version:	0.13
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Test/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f4e289f7f2a333983f1e4d578d82f5a3
# https://rt.cpan.org/Ticket/Attachment/1600903/856113/0001-Make-Test-Block-work-with-perl-5.23.8.patch
Patch0:		%{name}-perl5.24.patch
URL:		http://search.cpan.org/dist/Test-Block/
BuildRequires:	perl-Module-Build >= 0.38
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.672
%if %{with tests}
BuildRequires:	perl(Test::Builder) >= 0.17
BuildRequires:	perl-Test-Builder-Tester >= 1.01
BuildRequires:	perl-Test-Exception >= 0.15
BuildRequires:	perl-Test-Simple >= 0.47
%endif
Requires:	perl-base
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# provided by Tie::Scalar (perl-base)
%define		_noautoreq_perl	Tie::StdScalar

%description
This module allows you to specify the number of expected tests at a
finer level of granularity than an entire test script. It is built
with Test::Builder and plays happily with Test::More and friends.

%description -l pl.UTF-8
Ten moduł pozwala na określanie liczby oczekiwanych testów na poziomie
dokładniejszym niż cały skrypt testowy. Jest stworzony w oparciu o
Test::Builder i dobrze współpracuje z Test::More oraz podobnymi.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p2

%build
%{__perl} Build.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Test/Block.pm
%{_mandir}/man3/Test::Block.3pm*
%changelog
* Thu Nov 10 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Test-Block.git;a=log;h=master

* Thu Nov 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 2892bd3
- fixed Tie::StdScalar noautoreq; release 3

* Thu Nov 10 2016 Jakub Bogusz <qboosh@pld-linux.org> b9f2a8b
- added patch from rt.cpan for perl 5.24 (>= 5.23.8) compatibility
- updated BRs
- release 2

* Fri Jan 27 2012 zbyniu <zbyniu@pld-linux.org> 824742a
- up to 0.13

* Fri Oct 23 2009 amateja <amateja@pld-linux.org> 296597a
- don't require perl(Tie::StdScalar), it's provided within Scalar.pm in perl-base package and this way it's invisible for this mechanism
- release 2

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> aceaa10
- pl, generic URL

* Tue Jan 08 2008 Maciej Pijanka <agaran@pld-linux.org> 2a39185
- initial, builds here, rel 1

